Skip to main content
GET
List a trail's discussions (repo_id addressing)

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required

Repo id: placement ULID or public repo_

number
string
required

Trail number

Query Parameters

per_page
integer<int64>
default:50

Page size, clamped to 1..100

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from a prior next_cursor

include_messages
boolean

Embed each discussion's messages, as the detail route returns them

Response

OK

event_cursor
string
required
items
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/TrailDiscussionsListResponseBody.json"

next_cursor
string